### Class

# Phosh LockscreenManager

since: 0

#### Description [src]

    final class Phosh.LockscreenManager : GObject.Object
    {
      /* No available fields */
    }

The singleton that manages screen locking

The `PhoshLockscreenManager` is responsible for putting the `PhoshLockscreen` on the primary output and a `PhoshLockshield` on other outputs when the session becomes idle or when invoked explicitly via phosh_lockscreen_manager_set_locked().

Available since: 0

#### Ancestors

- GObject

#### Constructors

###### phosh_lockscreen_manager_new

No description available.

since: 0

#### Instance methods

###### phosh_lockscreen_manager_get_active_time

No description available.

since: 0

###### phosh_lockscreen_manager_get_locked

No description available.

since: 0

###### phosh_lockscreen_manager_get_page

No description available.

since: 0

###### phosh_lockscreen_manager_get_timeout

No description available.

since: 0

###### phosh_lockscreen_manager_set_locked

No description available.

since: 0

###### phosh_lockscreen_manager_set_page

No description available.

since: 0

###### phosh_lockscreen_manager_set_timeout

No description available.

since: 0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Phosh.LockscreenManager:calls-manager

No description available.

since: 0

###### Phosh.LockscreenManager:locked

No description available.

since: 0

#### Signals

###### Phosh.LockscreenManager::wakeup-outputs

Emitted when the outputs should be woken up.

since: 0

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct PhoshLockscreenManagerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.